%define module_name	promise
%define module_version	2003.12.25
%define module_release	alt1.1

#### MODULE SOURCES ####
Name:          kernel-source-%module_name-%module_version
Version:       %module_version
Release:       %module_release
Summary:       Promise IDE/RAID controller drivers - module sources
License:       Distributable
Group:         Development/Kernel
URL:           http://www.promise.com
BuildArch:     noarch

Source0: kernel-source-promise-Makefile

# http://www.promise.com/support/file/driver/1_fasttrak_s150_tx_partial_source_1.00.0.19.zip
# unzip -a
Source1: ft3xx-1.00.0.19.tar.bz2

# http://www.promise.com/support/file/driver/1_fasttrak_partial_source_1.03.0.2.zip
# unzip -a
Source2: FastTrak-1.03.0.2.tar.bz2

# http://www.promise.com/support/file/driver/1_SATALINUXSRC1.00.0.8.zip
Source3: pdc-ultra-1.00.0.8.tar.bz2

# http://www.promise.com/support/file/driver/1_st6000src_1.34.zip
Source4: pti_st-1.34.tar.bz2

Source5: http://majestic.lugh.de/~fs/promise/promisesx4000.tar.gz

Source6: kernel-source-promise.legal

Patch1: ft3xx-1.00.0.19-alt-build.patch
Patch2: FastTrak-1.03.0.2-alt-build.patch
Patch4: pti_st-1.34-alt-build.patch
Patch5: FastTrak-sx4000-alt-build.patch

Packager:      Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
Promise IDE/RAID controller drivers module sources for Linux kernel.

%prep
%setup -T -c -n %name -a 1 -a 2 -a 3 -a 4 -a 5
	
%__mv partial		FastTrak-sx4000
%__mv st6000src_1.34	pti_st
%__mv ultra-1.0.8	pdc-ultra

%__install -p -m644 %SOURCE0 ./Makefile
%__install -p -m644 %SOURCE6 ./LEGAL

%patch1 -p0
%patch2 -p0
%patch4 -p0
%patch5 -p0

%install
mkdir -p %buildroot%_usrsrc/kernel/sources/
pushd ..
tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
popd

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Tue Sep 07 2004 Alexey Voinov <voins@altlinux.ru> 2003.12.25-alt1.1
- LEGAL file included

* Thu Dec 25 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.25-alt1
- Updated ft3xx driver to 1.00.0.19 (2003/12/11):
  - Fixes unresolved symbols problem
- Updated FastTrak driver to 1.03.0.2 (2003/12/11):
  - Fixes unresolved symbols problem
- Updated alt-build patches for new drivers.
- Updated toplevel Makefile for new documentation file names.

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.19-alt1
- Initial release.
- Temporary workaround for FastTrak and ft3xx: compile with CONFIG_MODVERSIONS
  disabled.
